# Karmada Roadmap

This document defines a high level roadmap for Karmada development and upcoming releases.
Community and contributor involvement is vital for successfully implementing all desired items for each release.
We hope that the items listed below will inspire further engagement from the community to keep Karmada progressing and shipping exciting and valuable features.

The following outlines Karmada's 2025 feature plan.

- Application Priority and Preemption
- AI training and batch job support (Including PyTorch, Spark, Flink and so on).
- Scheduler Enhancement - Enable scheduler supports for resource quotas
- Karmada Operator Enhancement
- Support for multi-cluster CI/CD scenarios

## Other 
### Scalability and Performance Enhancement

This is an ongoing effort where a team comprising Karmada adopters will continuously identify and address any 
performance issues within the system. The focus will be on scalability and performance enhancements, ensuring 
that the system evolves to meet growing demands efficiently and effectively. This team will actively work on 
detecting bottlenecks, optimizing resources, and improving the overall performance of Karmada.
See [Karmada SIG-Scalability Meeting Notes](https://docs.google.com/document/d/1BUZBDvtbtfU9MmOz7KVdvGiiCny-zz_34FuLlW4AGmM/edit?usp=sharing)
to follow the progress.

### UI

At the beginning of 2025, the community released the first version of the Karmada Dashboard. The community will 
continue to iterate on its functionality, stability, and enhance the user experience based on feedback received 
from users. See [Karmada SIG-UI Meeting Notes](https://docs.google.com/document/d/1dX3skCE-QRBWzABq3O9cG7yhIDUWLYWmg7kGq8UHU6s/edit?usp=sharing)
to follow the progress.

## Pending
- Cluster addon management
- Multi-cluster Application
- Multi-cluster monitoring
- Multi-cluster logging
- Multi-cluster storage
- Multi-cluster RBAC
- Multi-cluster networking
- Data migration across clusters
- Image registry across clouds
- Multi-cluster Service Mesh solutions
- Cluster Problem Detector (CPD)
- Multi-cluster workflow
