_Use this email template for publicly disclosing security vulnerabilities._

_The email should be **concise** and **actionable**. Assume the audience are not
Karmada developers. Non-actionable information (e.g. technical discussion of
the vulnerability) should be deferred to the [vulnerability
issue](vulnerability-announcement-issue.md)._

TO: `karmada@googlegroups.com, cncf-karmada-distributors-announce@lists.cncf.io`

SUBJECT: `[Security Advisory] $CVE: $SUMMARY`

_See [Fix disclosure process](../security-release-process.md#fix-disclosure-process) for additional places the announcement should be posted._

---

Hello Karmada Community,

A security issue was discovered in Karmada where $ACTOR may be able to $DO_SOMETHING.

This issue has been rated **$SEVERITY** (link to CVSS calculator https://www.first.org/cvss/calculator/3.1) (optional: $SCORE), and assigned **$CVE_NUMBER**

### Am I vulnerable?

_How to determine if a cluster is impacted. Include:_
- _Vulnerable configuration details_
- _Commands that indicate whether a component, version or configuration is used_

#### Affected Versions

- $COMPONENT $VERSION_RANGE_1
- $COMPONENT $VERSION_RANGE_2 ...
- ...

### How do I mitigate this vulnerability?

_(If additional steps required after upgrade)_
**ACTION REQUIRED:** The following steps must be taken to mitigate this vulnerability: ...

_(If possible):_ Prior to upgrading, this vulnerability can be mitigated by ...

#### Fixed Versions

- $COMPONENT $VERSION
- $COMPONENT $VERSION
- ...

_(If fix has side effects)_ **Fix impact:** details of impact.

To upgrade, refer to the documentation: ... ($COMPONENT upgrade documentation)

### Detection

_How can exploitation of this vulnerability be detected?_

If you find evidence that this vulnerability has been exploited, please contact cncf-karmada-security@lists.cncf.io

#### Additional Details

See the GitHub advisory for more details: $GITHUBADVISORY

#### Acknowledgements

This vulnerability was reported by $REPORTER.

_(optional):_ The issue was fixed and coordinated by $FIXTEAM and $RELEASE_MANAGERS.

Thank You,

$PERSON on behalf of the Karmada Security Team